<?php

namespace common\modules\product\models;

use Yii;

/**
 * This is the model class for table "stock".
 *
 * @property integer $stock_id
 * @property string $name
 *
 * @property ProductStock[] $productStocks
 */
class Stock extends \yii\db\ActiveRecord
{

    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'stock';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'string', 'max' => 150],
            [['name'], 'required'],
        ];
    }


    public function getSiteName(){
        switch(mb_strtolower($this->name)){
            case "харьков свет":
                return 'МАГАЗИН ХАРЬКОВ';
                break;
            case "осокорки":
                return 'МАГАЗИН "ОСОКОРКИ"';
                break;
            case "олимп":
                return 'ТЦ "ОЛИМПИЙСКИЙ"';
                break;
            case "магазин":
                return "МАГАЗИН ГЛУБОЧЕЦКАЯ";
                break;
            default:
                //return "На складе";
                break;
        }
    }




    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'stock_id' => Yii::t('product', 'Stock ID'),
            'name' => Yii::t('product', 'Name'),
        ];
    }
    /**
     * @inheritdoc
     * @return StockQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new StockQuery(get_called_class());
    }
}
